## skimage 0.14.2

=== Makefile ===
.PHONY: all clean test
PYTHON=python
PYTESTS=pytest

all:
	$(PYTHON) setup.py build_ext --inplace

clean:
	find . -name "*.so" -o -name "*.pyc" -o -name "*.md5" -o -name "*.pyd" | xargs rm -f
	find . -name "*.pyx" -exec ./tools/rm_pyx_c_file.sh {} \;

test:
	$(PYTESTS) skimage --doctest-modules

doctest:
	$(PYTHON) -c "import skimage, sys, io; sys.exit(skimage.doctest_verbose())"

coverage:
	$(PYTESTS) skimage --cov=skimage

html:
	pip install -q sphinx pytest-runner sphinx-gallery
	export SPHINXOPTS=-W; make -C doc html

=== debian/changelog ===
skimage (0.14.2-2) unstable; urgency=medium

  * Team upload
  * Disable numpy matrix deprecation warnings (Closes: #924606)

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Mar 2019 22:58:01 +0100

skimage (0.14.2-1) unstable; urgency=medium

  * Team upload
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Feb 2019 20:32:08 +0100

skimage (0.14.2-1~1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.14.2
  * Rediff Patches and switch to gbp style
  * Switch to experimental to check for problems

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Feb 2019 17:51:26 +0100

skimage (0.14.1-3) unstable; urgency=medium

  * Team upload

  [ yangfl ]
  * Code cleanup
  * Use Agg MPL backend for autopkgtests

  [ Ole Streicher ]
  * Handle deprecation of numpy (Closes: #917353)
  * Fix test_mpl_imshow
  * Add cloudpickle to build dependencies

  [ Andreas Tille ]
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Standards-Version: 4.3.0
  * cme fix dpkg-control

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 18:12:33 +0100

=== debian/control ===
Source: skimage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stefan van der Walt <stefanv@berkeley.edu>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: cython3 (>= 0.23),
               debhelper (>= 11~),
               dh-python,
               python-all-dev,
               python-cloudpickle,
               python-matplotlib (>= 1.3.1),
               python-networkx (>= 1.8),
               python-pytest,
               python-numpy,
               python-numpydoc,
               python-pil,
               python-pywt,
               python-scipy,
               python-setuptools,
               python-six (>= 1.4),
               python-tk,
               python3-all-dev,
               python3-cloudpickle,
               python3-dask,
               python3-matplotlib,
               python3-networkx,
               python3-pytest,
               python3-numpy,
               python3-numpydoc,
               python3-pil,
               python3-pywt,
               python3-scipy,
               python3-setuptools,
               python3-six (>= 1.3.0),
               python3-tk
Build-Depends-Indep: python3-sphinx (>= 1.3.0),
                     python3-sphinx-gallery,
                     python3-doc,
                     python-matplotlib-doc,
                     python3-sklearn
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: http://scikit-image.org

Package: python-skimage
Architecture: all
Depends: python-matplotlib (>= 1.3.1),
         python-networkx (>= 1.8),
         python-numpy,
         python-pil,
         python-scipy,
         python-six (>= 1.4),
         python-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-pytest,
            python-qt4
Suggests: python-opencv,
          python-skimage-doc
Provides: ${python:Provides}
Description: Python modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 2 module.

Package: python3-skimage
Architecture: all
Depends: python3-matplotlib,
         python3-networkx,
         python3-numpy,
         python3-pil,
         python3-scipy,
         python3-six (>= 1.4),
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pytest,
            python3-dask
Suggests: python-skimage-doc
Provides: ${python3:Provides}
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-bootstrap,
         libjs-jquery,
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python-skimage-lib
Architecture: any
Depends: python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-skimage
Provides: ${python:Provides}
Description: Optimized low-level algorithms for scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 2 libraries.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-skimage
Provides: ${python3:Provides}
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# See also: scikits-learn

# don't optimize pngs, palette changes break tests and documented examples
export NO_PNG_PKG_MANGLE := 1

PY2VERS ?= $(shell pyversions -vr)
PY3VER  ?= $(shell py3versions -vd)
PY3VERS ?= $(shell py3versions -vr)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# upstream relies on signed chars
export DEB_CFLAGS_MAINT_APPEND := -fsigned-char
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
  JOBS := 1
endif

# Assure Agg backend for matplotlib to avoid any possible complication
export MPLBACKEND := Agg

export PYBUILD_TEST_PYTEST := 1


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

%-arch:
	dh $@ --with python2,python3 --buildsystem pybuild

clean:
	dh $@ --with python2,python3 --buildsystem pybuild

# silly distutils does not support parallelism! waste hours of time
.PHONY: build
build build-arch build-indep:
	$(MAKE) -j $(JOBS) -f debian/rules _$@

_build-arch: $(addprefix debian/build-stamp-python,$(PY2VERS)) $(addprefix debian/build-stamp-python,$(PY3VERS))
	:
_build _build-indep: _build-arch doc/build/html
	:

debian/build-stamp-python%: debian/build-stamp-pyx
	PYBUILD_INTERPRETERS=python{version} PYBUILD_VERSIONS=$* dh build-arch --with python$(basename $*) --buildsystem pybuild
	touch $@

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache build scikit_image.egg-info
	rm -f debian/build-stamp-*
	for i in $$(find -name '*.md5'); do \
		rm -f $${i%.pyx.md5}.c $${i%.pyx.md5}.cpp $$i; \
	done
	for i in $$(find -name '*.pyx.in'); do \
		rm -f $${i%.*}; \
	done
ifeq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	+$(MAKE) -C doc clean
	rm -f doc/source/_static/random.js
endif
endif

debian/build-stamp-pyx: debian/bin/process_pyx.py
	python$(PY3VER) $< $(JOBS)
	touch $@

doc/build/html: debian/build-stamp-python$(PY3VER)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# hotfix SPHINXBUILD -- remove in next release
	+\
		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
		PYTHON=python$(PY3VER) \
		SPHINXBUILD="python$(PY3VER) -m sphinx" \
		SPHINXOPTS="-j $(JOBS) -D mathjax_path=MathJax.js" \
		$(MAKE) -C doc html
endif

# Test data and plugin ini not copied to .pybuild -- manually link for them
override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for ver in $(PYBUILD_VERSIONS); do \
		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
		rm -rf $$i/data || true; \
		ln -sf ../../../../skimage/data $$i; \
		for module in $$(find skimage ! -path '*/data/*' -name tests | cut -sd / -f 2-); do \
			rm -rf $$i/$$module || true; \
			ln -sf $(CURDIR)/skimage/$$module $$i/$${module%/*}/; \
		done; \
	done
	dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	# cleanup python3 cache (mixing python3 subversions)
	-find debian/tmp -name "__pycache__" -exec rm -r {} +

## remove .so libraries from main package, and call dh_numpy*
_dh_python%:
	-find debian/python$(*:2=)-skimage/usr/lib -name "*.so" -delete

	dh_numpy$(*:2=) -ppython$(*:2=)-skimage-lib
	dh_python$*

override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_sphinxdoc-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -XMathJax.js
endif

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-nose, python-skimage, python-pil | python-imaging, python-matplotlib, python-tk, python-networkx, python-pytest
Restrictions: allow-stderr

Tests: python3
Depends: python3-all, python3-nose, python3-skimage, python3-pil | python3-imaging, python3-matplotlib, python3-tk, python3-networkx, python3-pytest, python3-dask
Restrictions: allow-stderr

## skimage 0.16.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,11 @@
 
 clean:
 	find . -name "*.so" -o -name "*.pyc" -o -name "*.md5" -o -name "*.pyd" | xargs rm -f
-	find . -name "*.pyx" -exec ./tools/rm_pyx_c_file.sh {} \;
+	find . -name "*.pyx" -exec ./tools/rm_pyx_assoc_c_cpp.sh {} \;
+	rm -f MANIFEST
+
+cleandoc:
+	rm -rf doc/build
 
 test:
 	$(PYTESTS) skimage --doctest-modules
@@ -19,5 +23,5 @@
 	$(PYTESTS) skimage --cov=skimage
 
 html:
-	pip install -q sphinx pytest-runner sphinx-gallery
+	pip install -q -r requirements/docs.txt
 	export SPHINXOPTS=-W; make -C doc html

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    ?= -j $(shell nproc || getconf _NPROCESSORS_ONLN || 1)
SPHINXBUILD   ?= $(PYTHON) -m sphinx
SPHINXCACHE   ?= build/doctrees
PAPER         ?=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(SPHINXCACHE) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
DEST            = build

.PHONY: all help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest gitwash gh-pages release_notes

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp   to make HTML files and a Devhelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash   to update the gitwash documentation"

clean:
	-rm -rf $(DEST)
	-rm -rf api
	-rm -rf source/api
	-find ./source/auto_examples/* -type f | grep -v blank | xargs rm -f

api:
	@mkdir -p source/api
	$(PYTHON) tools/build_modref_templates.py
	@echo "Build API docs...done."

release_notes:
	@echo "Copying release notes"
	@tail -n +4 `ls release/*.rst | sort -k 2 -t . -n | tail -n 1` > release/_release_notes_for_docs.rst

html: api release_notes
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
	cp -r source/plots $(DEST)/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."
	$(PYTHON) source/random_gallery.py

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DEST)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(DEST)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(DEST)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(DEST)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(DEST)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/scikitimage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/scikitimage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitimage"
	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
	@echo "# devhelp"

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(DEST)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(DEST)/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(DEST)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(DEST)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gh-pages:
	$(PYTHON) gh-pages.py

gitwash:
	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
	--project-url=https://scikit-image.org \
	--project-ml-url=https://mail.python.org/mailman/listinfo/scikit-image \
	--repo-name=scikit-image \
	--github-user=scikit-image \
	--source-suffix=.rst

=== debian/changelog ===
skimage (0.16.2-2ubuntu1) focal; urgency=medium

  * Ignore errors building the docs for the examples.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 14:33:36 +0100

skimage (0.16.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:20 +0100

skimage (0.16.2-2) unstable; urgency=low

  * Fix arch dependent and independent builds
  * Copy data files in dh_auto_build

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Dec 2019 15:22:11 +0100

skimage (0.16.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. Closes: #945389, #945393
  * Standards-Version: 4.4.1
  * More default d/rules
  * Drop Stefan van der Walt from Uploaders since he confirmed not to
    do packaging work any more (thanks for your previous work Stefan)

  [ Ole Streicher ]
  * Fix manual adjustment for build time tests
  * Add imageio and sphinx-copybutton build dependencies
  * Disable failures on warnings
  * Wrap and sort -a
  * Disable test that requires local server
  * Rediff patches and adjust patch names to the Subject line
  * Disable -j option use for sphinx
  * Update search.html to new way of generating Sphinx search box
  * Replace ADT_TMP this with AUTOPKGTEST_TMP

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Dec 2019 15:41:34 +0100

skimage (0.14.2-3) unstable; urgency=medium

  * Team upload
  * Drop Python 2 support (Closes: #938494)
  * Push Standards-Version to 4.4.0. Change homepage URL to https
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Sep 2019 10:41:10 +0200

=== debian/control ===
Source: skimage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: cython3 (>= 0.23),
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-cloudpickle,
               python3-dask,
               python3-imageio,
               python3-matplotlib,
               python3-networkx,
               python3-numpy,
               python3-numpydoc,
               python3-pil,
               python3-pytest,
               python3-pywt,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-tk
Build-Depends-Indep: python-matplotlib-doc,
                     python3-doc,
                     python3-sklearn,
                     python3-sphinx (>= 1.3.0),
                     python3-sphinx-copybutton,
                     python3-sphinx-gallery
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: https://scikit-image.org

Package: python3-skimage
Architecture: all
Depends: python3-matplotlib,
         python3-networkx,
         python3-numpy,
         python3-pil,
         python3-scipy,
         python3-six,
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dask,
            python3-pytest
Suggests: python-skimage-doc
Provides: ${python3:Provides}
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-bootstrap,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-skimage
Provides: ${python3:Provides}
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# See also: scikits-learn

# don't optimize pngs, palette changes break tests and documented examples
export NO_PNG_PKG_MANGLE := 1

PY3VER  ?= $(shell py3versions -vd)
PY3VERS ?= $(shell py3versions -vr)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# upstream relies on signed chars
export DEB_CFLAGS_MAINT_APPEND := -fsigned-char
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# Assure Agg backend for matplotlib to avoid any possible complication
export MPLBACKEND := Agg

export PYBUILD_TEST_PYTEST := 1

# Disable failures on warnings
export SKIMAGE_TEST_STRICT_WARNINGS := False

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

%-arch:
	dh $@ --with python3 --buildsystem pybuild

clean:
	dh $@ --with python3 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache build scikit_image.egg-info
	rm -f debian/build-stamp-*
	for i in $$(find -name '*.md5'); do \
		rm -f $${i%.pyx.md5}.c $${i%.pyx.md5}.cpp $$i; \
	done
	for i in $$(find -name '*.pyx.in'); do \
		rm -f $${i%.*}; \
	done
ifeq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	+$(MAKE) -C doc clean
	rm -f doc/source/_static/random.js
endif
endif

override_dh_installdocs-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# hotfix SPHINXBUILD -- remove in next release
	-\
		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
		PYTHON=python$(PY3VER) \
		SPHINXBUILD="python$(PY3VER) -m sphinx" \
		SPHINXOPTS="-D mathjax_path=MathJax.js" \
		$(MAKE) -C doc html
endif
	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt

# Test data and plugin ini not copied to .pybuild -- manually copy them
override_dh_auto_build:
	dh_auto_build
	for ver in $(PY3VERS); do \
		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
		rm -rf $$i/data || true; \
		cp -av skimage/data $$i; \
		for module in $$(find skimage ! -path '*/data/*' -name tests | cut -sd / -f 2-); do \
			rm -rf $$i/$$module || true; \
			cp -av skimage/$$module $$i/$${module%/*}/; \
		done; \
	done

override_dh_auto_test-indep:
	# pass

override_dh_auto_install:
	dh_auto_install
	# cleanup python3 cache (mixing python3 subversions)
	-find debian/tmp -name "__pycache__" -exec rm -r {} +

## remove .so libraries from main package, and call dh_numpy3
override_dh_python3:
	-find debian/python3-skimage/usr/lib -name "*.so" -delete

	dh_numpy3 -ppython3-skimage-lib
	dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_sphinxdoc-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -XMathJax.js
endif

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-dask,
         python3-matplotlib,
         python3-networkx,
         python3-nose,
         python3-pil | python3-imaging,
         python3-pytest,
         python3-skimage,
         python3-tk
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/scikit-image-$1.tar.gz/" \
  https://github.com/scikit-image/scikit-image/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## skimage 0.17.2

=== doc/Makefile ===
--- 
+++ 
@@ -47,7 +47,11 @@
 
 release_notes:
 	@echo "Copying release notes"
-	@tail -n +4 `ls release/*.rst | sort -k 2 -t . -n | tail -n 1` > release/_release_notes_for_docs.rst
+	@cat `$(PYTHON) -c \
+		"from pathlib import Path; from skimage import io; \
+		 l = list(str(e) for e in Path('release').glob('release_*.*.*')); \
+		 l.sort(key=io.collection.alphanumeric_key); print(l[-1])"` \
+		| tail -n +4 > release/_release_notes_for_docs.rst
 
 html: api release_notes
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
@@ -130,7 +134,7 @@
 gitwash:
 	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
 	--project-url=https://scikit-image.org \
-	--project-ml-url=https://mail.python.org/mailman/listinfo/scikit-image \
+	--project-ml-url=https://mail.python.org/mailman3/lists/scikit-image.python.org/ \
 	--repo-name=scikit-image \
 	--github-user=scikit-image \
 	--source-suffix=.rst

=== debian/changelog ===
skimage (0.17.2-2) unstable; urgency=low

  * Remove outdated link to bootstrap-responsive.css (Closes: #919852)
  * Declare Breaks+Provides for python-skimage (Closes: #964046)

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jul 2020 09:27:57 +0200

skimage (0.17.2-1) unstable; urgency=low

  * New upstream version 0.17.2
  * Manually copy orb_descriptor_positions.txt
  * Update build-dep version requirements
  * Add python3-tifffile build dep
  * Push dh compat to 13
  * Add Pandas and Seaborn to (test) build deps
  * Re-add skivi executable
  * Add "Rules-Requires-Root: no" to d/control
  * Disable binder reference
  * Exclude pngs from dh_strip_nondeterminism to keep their hashes

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jun 2020 12:45:53 +0200

skimage (0.16.2-3) unstable; urgency=medium

  * Don't include links to other versions (Closes: #955068)
  * Add myself to the list of uploaders
  * Resort d/copyright sections according to 'cme dpkg fix'

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Apr 2020 21:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: skimage
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.23),
-               debhelper-compat (= 12),
+Build-Depends: cython3 (>= 0.29.13),
+               debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-cloudpickle,
                python3-dask,
                python3-imageio,
                python3-matplotlib,
-               python3-networkx,
+               python3-networkx (>= 2.0),
                python3-numpy,
                python3-numpydoc,
-               python3-pil,
+               python3-pandas,
+               python3-pil (>= 4.3.0),
                python3-pytest,
-               python3-pywt,
-               python3-scipy,
+               python3-pywt (>= 1.1.1),
+               python3-scipy (>= 1.0.1),
+               python3-seaborn,
                python3-setuptools,
                python3-six,
+               python3-tifffile,
                python3-tk
 Build-Depends-Indep: python-matplotlib-doc,
                      python3-doc,
@@ -27,10 +31,11 @@
                      python3-sphinx (>= 1.3.0),
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
+Rules-Requires-Root: no
 
 Package: python3-skimage
 Architecture: all
@@ -46,6 +51,8 @@
 Recommends: python3-dask,
             python3-pytest
 Suggests: python-skimage-doc
+Breaks: python-skimage
+Replaces: python-skimage
 Provides: ${python3:Provides}
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for

## skimage 0.18.0

=== debian/changelog ===
skimage (0.18.0-1) unstable; urgency=low

  * New upstream version 0.18.0
  * Rediff patches
  * Skip tests that need the python3-pooch package and internet connection
  * Add plotly build dependency
  * Push Standards-Version to 4.5.1. No changes needed
  * Replace myst-parser by recommonmark
  * Simplify d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Dec 2020 11:04:47 +0100

## skimage 0.18.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: all clean test
-PYTHON=python
-PYTESTS=pytest
+PYTHON ?= python
+PYTEST ?= $(PYTHON) -m pytest
 
 all:
 	$(PYTHON) setup.py build_ext --inplace
@@ -14,13 +14,18 @@
 	rm -rf doc/build
 
 test:
-	$(PYTESTS) skimage --doctest-modules
+	$(PYTEST) skimage --doctest-modules
 
 doctest:
 	$(PYTHON) -c "import skimage, sys, io; sys.exit(skimage.doctest_verbose())"
 
-coverage:
-	$(PYTESTS) skimage --cov=skimage
+benchmark_coverage:
+	$(PYTEST) benchmarks --cov=skimage --cov-config=setup.cfg
+
+coverage: test_coverage
+
+test_coverage:
+	$(PYTEST) -o python_functions=test_* skimage --cov=skimage
 
 html:
 	pip install -q -r requirements/docs.txt

=== debian/changelog ===
skimage (0.18.1-2) unstable; urgency=medium

  * Allow either SyntaxError or OSError for the truncated JPG exception
    (Closes: #990204)

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Jun 2021 09:09:13 +0200

skimage (0.18.1-1) unstable; urgency=medium

  * New upstream version 0.18.1

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Dec 2020 13:42:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 override_dh_installdocs-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	# hotfix SPHINXBUILD -- remove in next release
-	-\
+	+\
 		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
 		PYTHON=python$(PY3VER) \
 		SPHINXBUILD="python$(PY3VER) -m sphinx" \
@@ -67,6 +67,7 @@
 	for ver in $(PY3VERS); do \
 		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
 		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
+		cp skimage/feature/orb_descriptor_positions.txt $$i/feature/; \
 		rm -rf $$i/data || true; \
 		cp -av skimage/data $$i; \
 		for module in $$(find skimage ! -path '*/data/*' -name tests | cut -sd / -f 2-); do \
@@ -98,3 +99,6 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_sphinxdoc -XMathJax.js
 endif
+
+override_dh_strip_nondeterminism:
+	dh_strip_nondeterminism -X.png

=== debian/tests/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
          python3-matplotlib,
          python3-networkx,
          python3-nose,
+         python3-pandas,
          python3-pil | python3-imaging,
          python3-pytest,
+         python3-seaborn,
          python3-skimage,
          python3-tk
 Restrictions: allow-stderr

## skimage 0.18.3

=== .binder/requirements.txt ===
-r ../requirements/default.txt
# numpy is present both in default.txt and build.txt
# with pinning instructions which are slightly different, 
# therefore pip gives up and errors
Cython>=0.29.13
wheel
scikit-learn
dask[array]>=0.15.0
cloudpickle>=0.2.1
pandas>=0.23.0
seaborn>=0.7.1
sphinx-gallery

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 PYTHON        ?= python
-SPHINXOPTS    ?= -j $(shell nproc || getconf _NPROCESSORS_ONLN || 1)
+SPHINXOPTS    ?= -j auto
 SPHINXBUILD   ?= $(PYTHON) -m sphinx
 SPHINXCACHE   ?= build/doctrees
 PAPER         ?=
@@ -38,7 +38,7 @@
 	-rm -rf $(DEST)
 	-rm -rf api
 	-rm -rf source/api
-	-find ./source/auto_examples/* -type f | grep -v blank | xargs rm -f
+	-find ./source/auto_examples/* -type f | grep -v blank | xargs -r rm -f
 
 api:
 	@mkdir -p source/api
@@ -47,11 +47,12 @@
 
 release_notes:
 	@echo "Copying release notes"
-	@cat `$(PYTHON) -c \
-		"from pathlib import Path; from skimage import io; \
-		 l = list(str(e) for e in Path('release').glob('release_*.*.*')); \
-		 l.sort(key=io.collection.alphanumeric_key); print(l[-1])"` \
-		| tail -n +4 > release/_release_notes_for_docs.rst
+	@tail -n +4 release/release_$$(\
+		ls release/release_*.*.* \
+			| sed s:release/release_:: \
+			| sort -nrt. -k1,1 -k2,2 \
+			| head -n 1) \
+		> release/_release_notes_for_docs.rst
 
 html: api release_notes
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html

=== debian/changelog ===
skimage (0.18.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:53:49 +0000

skimage (0.18.3-2) unstable; urgency=medium

  * Completely remove binder references in sphinx_gallery (Closes: #997706)

 -- Ole Streicher <olebole@debian.org>  Sun, 24 Oct 2021 17:51:10 +0200

skimage (0.18.3-1) unstable; urgency=medium

  * New upstream version 0.18.3

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:22:13 +0200

skimage (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2
  * Rediff patches
  * Bugfix: Enable pytest skipping at module level

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Aug 2021 08:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                python3-numpydoc,
                python3-pandas,
                python3-pil (>= 4.3.0),
+               python3-plotly (>= 4.10.0),
                python3-pytest,
                python3-pywt (>= 1.1.1),
+               python3-recommonmark,
                python3-scipy (>= 1.0.1),
                python3-seaborn,
                python3-setuptools,
@@ -31,7 +33,7 @@
                      python3-sphinx (>= 1.3.0),
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org

=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 
 override_dh_sphinxdoc-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_sphinxdoc -XMathJax.js
+	dh_sphinxdoc -XMathJax.js -Xclipboard.min.js
 endif
 
 override_dh_strip_nondeterminism:

## skimage 0.19.3

=== debian/changelog ===
skimage (0.19.3-8) unstable; urgency=medium

  * Disable test_lab_lch_roundtrip_dtypes (avoid test failure on s390x)

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Jan 2023 08:20:44 +0100

skimage (0.19.3-7) unstable; urgency=medium

  * Temporarily remove python3-dask from build dependencies

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Jan 2023 14:02:53 +0100

skimage (0.19.3-6) unstable; urgency=medium

  * Team upload.
  * Fix Numpy 1.24 issues
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:35:28 +0100

skimage (0.19.3-5) unstable; urgency=medium

  * Pragmatically mark tests xfail that fail on mipsel

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 08:35:27 +0100

skimage (0.19.3-4) unstable; urgency=medium

  * Remove matplotlib-doc from build dependencies (Closes: #1027596)
  * Push Standards-Version to 4.6.2. No changes
  * Add d/u/metadata
  * Update plot_euler_number.py for maplotlib 3.6 compatibility

 -- Ole Streicher <olebole@debian.org>  Mon, 02 Jan 2023 17:32:00 +0100

skimage (0.19.3-3) unstable; urgency=medium

  * Fix installation failure with setuptools > 60 (Closes: #1022461)

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Oct 2022 08:52:33 +0200

skimage (0.19.3-2) unstable; urgency=medium

  * Update test dependencies; remove deprecated python3-nose test dep
    Closes: #1018638
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Sep 2022 10:59:31 +0200

skimage (0.19.3-1) unstable; urgency=medium

  * New upstream version 0.19.3
  * Rediff patches. Drop patches applied upstream.
  * Drop versionized build deps where applicable
  * Push Standards-Version to 4.6.0. No changes needed
  * Add new build dependencies python3-pythran, python3-pooch
  * Skip more files that require pooch and internet
  * Remove use of deprecated kwargs from test_tifffile_kwarg_passthrough
    (Closes: #1010430)

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Jun 2022 19:45:33 +0200

skimage (0.18.3-3) unstable; urgency=medium

  * Remove use of deprecated kwargs from test_tifffile_kwarg_passthrough
    (Closes: #1010430)
  * handle PIL palettes with <256 colors (Closes: #1009431)

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Jun 2022 18:33:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,31 +9,32 @@
                dh-python,
                python3-all-dev,
                python3-cloudpickle,
-               python3-dask,
                python3-imageio,
                python3-matplotlib,
-               python3-networkx (>= 2.0),
+               python3-networkx,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
-               python3-pil (>= 4.3.0),
+               python3-pil,
                python3-plotly (>= 4.10.0),
+               python3-pooch,
                python3-pytest,
+               python3-pythran,
                python3-pywt (>= 1.1.1),
                python3-recommonmark,
-               python3-scipy (>= 1.0.1),
+               python3-scipy,
                python3-seaborn,
                python3-setuptools,
                python3-six,
                python3-tifffile,
-               python3-tk
-Build-Depends-Indep: python-matplotlib-doc,
-                     python3-doc,
+               python3-tk,
+               dh-strip-nondeterminism
+Build-Depends-Indep: python3-doc,
                      python3-sklearn,
-                     python3-sphinx (>= 1.3.0),
+                     python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
@@ -54,8 +55,8 @@
             python3-pytest
 Suggests: python-skimage-doc
 Breaks: python-skimage
+Provides: ${python3:Provides}
 Replaces: python-skimage
-Provides: ${python3:Provides}
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 # See also: scikits-learn
+export HOME=/tmp
 
 # don't optimize pngs, palette changes break tests and documented examples
 export NO_PNG_PKG_MANGLE := 1
@@ -22,6 +23,9 @@
 
 # Disable failures on warnings
 export SKIMAGE_TEST_STRICT_WARNINGS := False
+
+# Hotfix for #1022461: Force setuptools to be compatible with older version
+export SETUPTOOLS_USE_DISTUTILS=stdlib
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-matplotlib,
         python3-networkx,
         python3-pandas,
         python3-pil,
         python3-pooch,
         python3-pytest,
         python3-seaborn,
         python3-skimage,
         python3-tk
Restrictions: allow-stderr

## skimage 0.21.0

=== debian/changelog ===
skimage (0.21.0-5) unstable; urgency=medium

  * Build depend on python3-imageio (>= 2.31.1-1) (Closes: #1040994)

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2023 22:22:55 +0200

skimage (0.21.0-4) unstable; urgency=medium

  * Skip 16-bit roundtrip PNG test failing on S390x

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jul 2023 19:24:36 +0200

skimage (0.21.0-3) unstable; urgency=medium

  * Mark tests that fail on some platforms

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jul 2023 11:16:40 +0200

skimage (0.21.0-2) unstable; urgency=medium

  * Drop Don-t-import-unavailable-imageio.v3.patch: package is available now
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 15:39:10 +0200

skimage (0.21.0-1) experimental; urgency=medium

  * New upstream version 0.21.0
  * Rediff patches
  * Remove unneeded min-versions from build-deps
  * Remove outdated Breaks/Replaces for python-skimage
  * Update build dependencies
  * Add new download-dependent patches to skip
  * Use Python3 versions of python and cython in build
  * Don't import unavailable imageio.v3
  * Remove skivi script: removed upstream
  * Don't try to write random.js
  * Remove version switch in docs
  * Remove examples that need external data access
  * Upload to experimental to play with it

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Jun 2023 17:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.29.13),
+Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               ninja-build,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cloudpickle,
-               python3-imageio,
+               python3-imageio (>= 2.31.1),
+               python3-lazy-loader,
                python3-matplotlib,
+               python3-mesonpy,
                python3-networkx,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
                python3-pil,
-               python3-plotly (>= 4.10.0),
+               python3-plotly,
                python3-pooch,
                python3-pytest,
                python3-pythran,
-               python3-pywt (>= 1.1.1),
+               python3-pywt,
                python3-recommonmark,
                python3-scipy,
                python3-seaborn,
@@ -30,9 +34,11 @@
                python3-tk,
                dh-strip-nondeterminism
 Build-Depends-Indep: python3-doc,
+                     python3-pydata-sphinx-theme,
                      python3-sklearn,
                      python3-sphinx,
                      python3-sphinx-copybutton,
+                     python3-sphinx-design,
                      python3-sphinx-gallery
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
@@ -54,9 +60,7 @@
 Recommends: python3-dask,
             python3-pytest
 Suggests: python-skimage-doc
-Breaks: python-skimage
 Provides: ${python3:Provides}
-Replaces: python-skimage
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 		SPHINXOPTS="-D mathjax_path=MathJax.js" \
 		$(MAKE) -C doc html
 endif
-	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt
+	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.rst
 
 # Test data and plugin ini not copied to .pybuild -- manually copy them
 override_dh_auto_build:

## skimage 0.22.0

=== doc/Makefile ===
--- 
+++ 
@@ -45,21 +45,11 @@
 	$(PYTHON) tools/build_modref_templates.py
 	@echo "Build API docs...done."
 
-release_notes:
-	@echo "Copying release notes"
-	@tail -n +4 release/release_$$(\
-		ls release/release_*.*.* \
-			| sed s:release/release_:: \
-			| sort -nrt. -k1,1 -k2,2 \
-			| head -n 1) \
-		> release/_release_notes_for_docs.rst
 
-html: api release_notes
+html: api
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
-	cp -r source/plots $(DEST)/html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
-	$(PYTHON) source/random_gallery.py
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DEST)/dirhtml

=== debian/changelog ===
skimage (0.22.0-3ubuntu1) noble; urgency=medium

  * Use the vendored distutils in setuptools instead of trying to
    use the one from stdlib, which is no longer in Python 3.12

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 18 Apr 2024 19:58:15 +0000

skimage (0.22.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:40:56 +0000

skimage (0.22.0-3) unstable; urgency=medium

  [ Ole Streicher ]
  * Remove sphinx_gallery dependency (Closes: #1056132)
  * Remove intersphinx mapping (Closes: #1058024)

  [ Bas Couwenberg ]
  * Switch to cython3-legacy (Closes: #1056889)

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 12:43:35 +0100

skimage (0.22.0-2) unstable; urgency=medium

  * Increase tolerance for moments test on 32 bit (again)

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2023 08:46:12 +0200

skimage (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * Rediff patches
  * Don't fail on passed tests that were marked as xfail
  * Don't use plot_cornea_spot_inpainting.py because of remote access
  * Add numpydoc to test deps

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Oct 2023 13:51:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: skimage
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3-legacy,
                debhelper-compat (= 13),
                dh-python,
                ninja-build,
@@ -38,8 +39,7 @@
                      python3-sklearn,
                      python3-sphinx,
                      python3-sphinx-copybutton,
-                     python3-sphinx-design,
-                     python3-sphinx-gallery
+                     python3-sphinx-design
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export SKIMAGE_TEST_STRICT_WARNINGS := False
 
 # Hotfix for #1022461: Force setuptools to be compatible with older version
-export SETUPTOOLS_USE_DISTUTILS=stdlib
+# export SETUPTOOLS_USE_DISTUTILS=stdlib
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
